<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" indent="yes" omit-xml-declaration="no" />
<xsl:template name="SymbRecord1">
	<xsl:param name="syminst">SY(quesmark)</xsl:param>
	<xsl:param name="dismode">MODE</xsl:param>
	<xsl:param name="dispri"></xsl:param>
	<xsl:param name="disgrup"></xsl:param>
	<xsl:param name="radar"></xsl:param>
	<xsl:element name="Symbolization">
		<xsl:element name="FOID"><xsl:value-of select="FOID"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst"/></xsl:element>
		<xsl:element name="DISMODE"> <xsl:value-of select="$dismode"/></xsl:element>
		<xsl:element name="DISPRI"> <xsl:value-of select="$dispri"/></xsl:element>
		<xsl:element name="RADAR"> <xsl:value-of select="$radar"/></xsl:element>
		<xsl:element name="DISGRUP"> <xsl:value-of select="$disgrup"/></xsl:element>
	</xsl:element>
</xsl:template>
<xsl:template name="SymbRecord2">
	<xsl:param name="syminst">SY(quesmark)</xsl:param>
	<xsl:param name="prefix"></xsl:param>
	<xsl:param name="hjust"></xsl:param>
	<xsl:param name="vjust"></xsl:param>
	<xsl:param name="space"></xsl:param>
	<xsl:param name="chars"></xsl:param>
	<xsl:param name="offsetx"></xsl:param>
	<xsl:param name="offsety"></xsl:param>
	<xsl:param name="colour"></xsl:param>
	<xsl:param name="display"></xsl:param>
	<xsl:param name="dismode">MODE</xsl:param>
	<xsl:param name="dispri"></xsl:param>
	<xsl:param name="disgrup"></xsl:param>
	<xsl:param name="radar"></xsl:param>
	<xsl:element name="Symbolization">
		<xsl:element name="FOID"><xsl:value-of select="FOID"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst"/></xsl:element>
		<xsl:element name="TEXT">
			<xsl:element name="PREFIX"> <xsl:value-of select="$prefix"/></xsl:element>
			<xsl:element name="STRING"> <xsl:value-of select="OBJNAM"/></xsl:element>
			<xsl:element name="HJUST"> <xsl:value-of select="$hjust"/></xsl:element>
			<xsl:element name="VJUST"> <xsl:value-of select="$vjust"/></xsl:element>
			<xsl:element name="SPACE"> <xsl:value-of select="$space"/></xsl:element>
			<xsl:element name="CHARS"> <xsl:value-of select="$chars"/></xsl:element>
			<xsl:element name="OFFSETX"> <xsl:value-of select="$offsetx"/></xsl:element>
			<xsl:element name="OFFSETY"> <xsl:value-of select="$offsety"/></xsl:element>
			<xsl:element name="COLOUR"> <xsl:value-of select="$colour"/></xsl:element>
			<xsl:element name="DISPLAY"> <xsl:value-of select="$display"/></xsl:element>
		</xsl:element>
		<xsl:element name="DISMODE"> <xsl:value-of select="$dismode"/></xsl:element>
		<xsl:element name="DISPRI"> <xsl:value-of select="$dispri"/></xsl:element>
		<xsl:element name="RADAR"> <xsl:value-of select="$radar"/></xsl:element>
		<xsl:element name="DISGRUP"> <xsl:value-of select="$disgrup"/></xsl:element>
	</xsl:element>
</xsl:template>
<xsl:template name="SymbRecord3">
	<xsl:param name="syminst">SY(quesmark)</xsl:param>
	<xsl:param name="syminst2">SY(quesmark)</xsl:param>
	<xsl:param name="dismode">MODE</xsl:param>
	<xsl:param name="dispri"></xsl:param>
	<xsl:param name="disgrup"></xsl:param>
	<xsl:param name="radar"></xsl:param>
	<xsl:element name="Symbolization">
		<xsl:element name="FOID"><xsl:value-of select="FOID"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst2"/></xsl:element>
		<xsl:element name="DISMODE"> <xsl:value-of select="$dismode"/></xsl:element>
		<xsl:element name="DISPRI"> <xsl:value-of select="$dispri"/></xsl:element>
		<xsl:element name="RADAR"> <xsl:value-of select="$radar"/></xsl:element>
		<xsl:element name="DISGRUP"> <xsl:value-of select="$disgrup"/></xsl:element>
	</xsl:element>
</xsl:template>
<xsl:template name="SymbRecord4">
	<xsl:param name="syminst">SY(quesmark)</xsl:param>
	<xsl:param name="syminst2">SY(quesmark)</xsl:param>
	<xsl:param name="syminst3">SY(quesmark)</xsl:param>
	<xsl:param name="dismode">MODE</xsl:param>
	<xsl:param name="dispri"></xsl:param>
	<xsl:param name="disgrup"></xsl:param>
	<xsl:param name="radar"></xsl:param>
	<xsl:element name="Symbolization">
		<xsl:element name="FOID"><xsl:value-of select="FOID"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst2"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst3"/></xsl:element>
		<xsl:element name="DISMODE"> <xsl:value-of select="$dismode"/></xsl:element>
		<xsl:element name="DISPRI"> <xsl:value-of select="$dispri"/></xsl:element>
		<xsl:element name="RADAR"> <xsl:value-of select="$radar"/></xsl:element>
		<xsl:element name="DISGRUP"> <xsl:value-of select="$disgrup"/></xsl:element>
	</xsl:element>
</xsl:template>
<xsl:template name="SymbRecord5">
	<xsl:param name="syminst">SY(quesmark)</xsl:param>
	<xsl:param name="prefix"></xsl:param>
	<xsl:param name="hjust"></xsl:param>
	<xsl:param name="vjust"></xsl:param>
	<xsl:param name="space"></xsl:param>
	<xsl:param name="chars"></xsl:param>
	<xsl:param name="offsetx"></xsl:param>
	<xsl:param name="offsety"></xsl:param>
	<xsl:param name="colour"></xsl:param>
	<xsl:param name="display"></xsl:param>
	<xsl:param name="dismode">MODE</xsl:param>
	<xsl:param name="dispri"></xsl:param>
	<xsl:param name="disgrup"></xsl:param>
	<xsl:param name="radar"></xsl:param>
	<xsl:element name="Symbolization">
		<xsl:element name="FOID"><xsl:value-of select="FOID"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst"/></xsl:element>
		<xsl:element name="SYMINST"> <xsl:value-of select="$syminst2"/></xsl:element>
		<xsl:element name="TEXT">
			<xsl:element name="PREFIX"> <xsl:value-of select="$prefix"/></xsl:element>
			<xsl:element name="STRING"> <xsl:value-of select="OBJNAM"/></xsl:element>
			<xsl:element name="HJUST"> <xsl:value-of select="$hjust"/></xsl:element>
			<xsl:element name="VJUST"> <xsl:value-of select="$vjust"/></xsl:element>
			<xsl:element name="SPACE"> <xsl:value-of select="$space"/></xsl:element>
			<xsl:element name="CHARS"> <xsl:value-of select="$chars"/></xsl:element>
			<xsl:element name="OFFSETX"> <xsl:value-of select="$offsetx"/></xsl:element>
			<xsl:element name="OFFSETY"> <xsl:value-of select="$offsety"/></xsl:element>
			<xsl:element name="COLOUR"> <xsl:value-of select="$colour"/></xsl:element>
			<xsl:element name="DISPLAY"> <xsl:value-of select="$display"/></xsl:element>
		</xsl:element>
		<xsl:element name="DISMODE"> <xsl:value-of select="$dismode"/></xsl:element>
		<xsl:element name="DISPRI"> <xsl:value-of select="$dispri"/></xsl:element>
		<xsl:element name="RADAR"> <xsl:value-of select="$radar"/></xsl:element>
		<xsl:element name="DISGRUP"> <xsl:value-of select="$disgrup"/></xsl:element>
	</xsl:element>
</xsl:template>
<xsl:template match="RTPBCN">
<xsl:call-template name="RTPBCN00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="RTPBCN00">
	<xsl:choose>
		<xsl:when test="type='point'">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(RTPBCN02)'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'6'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27210'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="BCNCAR">
<xsl:call-template name="BCNCAR00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="BCNCAR00">
	<xsl:choose>
		<xsl:when test="type='point'">
		<xsl:choose>
				<xsl:when test="BCNSHP=1">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNSTK02)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'17020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BCNSHP=3">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNTOW01)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'BASE'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'17020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BCNSHP=4">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNLTC01)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'BASE'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'17020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BCNSHP=5 or BCNSHP=7">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNGEN01)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'BASE'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'17020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNGEN03)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'17020'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="CBLSUB">
<xsl:call-template name="CBLSUB00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="CBLSUB00">
	<xsl:choose>
		<xsl:when test="type='curve'">
		<xsl:choose>
				<xsl:when test="CATCBL=6">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'LS(DASH,1,CHMGD)'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'6'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'24010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'LC(CBLSUB06)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'3'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34070'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="FSHFAC">
<xsl:call-template name="FSHFAC00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="FSHFAC00">
	<xsl:choose>
		<xsl:when test="type='curve'">
		<xsl:choose>
				<xsl:when test="CATFIF=1">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'LC(FSHFAC02)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'LS(DASH,2,CHGRD)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="type='point'">
		<xsl:choose>
				<xsl:when test="CATFIF=1">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(FSHFAC03)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="CATFIF=2 or CATFIF=3 or CATFIF=4">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(FSHFAC02)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(FSHHAV01)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="type='surface'">
		<xsl:choose>
				<xsl:when test="CATFIF=1">
					<xsl:call-template name="SymbRecord3">
					<xsl:with-param name="syminst" select="'SY(FSHFAC03)'"/>
					<xsl:with-param name="syminst2" select="'LC(NAVARE51)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="CATFIF=2 or CATFIF=3 or CATFIF=4">
					<xsl:call-template name="SymbRecord3">
					<xsl:with-param name="syminst" select="'SY(FSHFAC02)'"/>
					<xsl:with-param name="syminst2" select="'LC(NAVARE51)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord3">
					<xsl:with-param name="syminst" select="'SY(FSHFAC02)'"/>
					<xsl:with-param name="syminst2" select="'LC(NAVARE51)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'34040'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="AIRARE">
<xsl:call-template name="AIRARE00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="AIRARE00">
	<xsl:choose>
		<xsl:when test="type='point'">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(AIRARE02)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'32240'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:when test="type='surface'">
		<xsl:choose>
				<xsl:when test="CONVIS=1">
					<xsl:call-template name="SymbRecord4">
					<xsl:with-param name="syminst" select="'AC(LANDA)'"/>
					<xsl:with-param name="syminst2" select="'SY(AIRARE02)'"/>
					<xsl:with-param name="syminst3" select="'LS(SOLD,1,CHBLK)'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'2'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'22220'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord3">
					<xsl:with-param name="syminst" select="'AP(AIRARE02)'"/>
					<xsl:with-param name="syminst2" select="'LS(SOLD,1,LANDF)'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'2'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'32240'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="BCNISD">
<xsl:call-template name="BCNISD00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="BCNISD00">
	<xsl:choose>
		<xsl:when test="type='point'">
		<xsl:choose>
				<xsl:when test="BCNSHP=5 or BCNSHP=7">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNGEN01)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BCNSHP=3">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNTOW01)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BCNSHP=1">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNSTK02)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27020'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BCNGEN03)'"/>
					<xsl:with-param name="prefix" select="'bn'"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-2'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27020'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="ACHBRT">
<xsl:call-template name="ACHBRT00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="ACHBRT00">
	<xsl:choose>
		<xsl:when test="type='point'">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(ACHBRT07)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'3'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'1'"/>
					<xsl:with-param name="offsety" select="'0'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'29'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'5'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'26220'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="BERTHS">
<xsl:call-template name="BERTHS00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="BERTHS00">
	<xsl:choose>
		<xsl:when test="type='point'">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BRTHNO01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'3'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'1'"/>
					<xsl:with-param name="offsety" select="'0'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'29'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'5'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'32440'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:when test="type='curve'">
					<xsl:call-template name="SymbRecord5">
					<xsl:with-param name="syminst" select="'LS(SOLD,3,CHGRD)'"/>
					<xsl:with-param name="syminst2" select="'SY(BRTHNO01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'3'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'1'"/>
					<xsl:with-param name="offsety" select="'0'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'29'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'5'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'32440'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:when test="type='surface'">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BRTHNO01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'3'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'1'"/>
					<xsl:with-param name="offsety" select="'0'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'29'"/>
					<xsl:with-param name="dismode" select="'OTHER'"/>
					<xsl:with-param name="dispri" select="'3'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'32440'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="BOYCAR">
<xsl:call-template name="BOYCAR00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="BOYCAR00">
	<xsl:choose>
		<xsl:when test="type='point'">
		<xsl:choose>
				<xsl:when test="BOYSHP=5 or BOYSHP=8">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYSPR01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=3">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYSPH01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=4">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYPIL01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=6">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYBAR01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=2">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYCAN01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=7">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYSUP01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-2'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:when test="BOYSHP=1">
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYCON01)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="SymbRecord2">
					<xsl:with-param name="syminst" select="'SY(BOYGEN03)'"/>
					<xsl:with-param name="prefix" select="''"/>
					<xsl:with-param name="hjust" select="'2'"/>
					<xsl:with-param name="vjust" select="'1'"/>
					<xsl:with-param name="space" select="'2'"/>
					<xsl:with-param name="chars" select="'15110'"/>
					<xsl:with-param name="offsetx" select="'-1'"/>
					<xsl:with-param name="offsety" select="'-1'"/>
					<xsl:with-param name="colour" select="'CHBLK'"/>
					<xsl:with-param name="display" select="'21'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'8'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'27010'"/>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:template match="CTNARE">
<xsl:call-template name="CTNARE00">
	</xsl:call-template>
</xsl:template>
<xsl:template name="CTNARE00">
	<xsl:choose>
		<xsl:when test="type='point'">
					<xsl:call-template name="SymbRecord1">
					<xsl:with-param name="syminst" select="'SY(CHINFO06)'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'4'"/>
					<xsl:with-param name="radar" select="'O'"/>
					<xsl:with-param name="disgrup" select="'26050'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:when test="type='surface'">
					<xsl:call-template name="SymbRecord3">
					<xsl:with-param name="syminst" select="'SY(CTNARE51)'"/>
					<xsl:with-param name="syminst2" select="'LC(CTNARE51)'"/>
					<xsl:with-param name="dismode" select="'STANDARD'"/>
					<xsl:with-param name="dispri" select="'3'"/>
					<xsl:with-param name="radar" select="'S'"/>
					<xsl:with-param name="disgrup" select="'26050'"/>
					</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
</xsl:transform>